#ifndef QRK_LAYER_INTERFACE_H
#define QRK_LAYER_INTERFACE_H

/*!
  \file
  \brief レイヤーのインターフェース定義

  \author Satofumi KAMIMURA

  $Id: LayerInterface.h 1813 2010-05-01 14:21:29Z satofumi $
*/

namespace qrk
{
    //! レイヤーのインターフェース定義
    class LayerInterface
    {
    public:
        virtual ~LayerInterface(void)
        {
        }


        virtual void setAlpha(float alpha) = 0;
        virtual void draw(void) = 0;
    };
}

#endif /* !QRK_LAYER_INTERFACE_H */
